
/* Top Row */
.top-row {
  background-color: #fff;
  /*max-width: 867px;*/
  max-width: 1050px;
  margin: 0 auto;
  padding: 10px;
  border-radius: 10px;
  
}

.hamburger-menu .navbar-toggler-icon {
  background-color: #a1dd7f;
  border-radius: 5px;
}

/* Navigation Row */
.nav-row {
  background-color: #28a745;
  width: 100%;
  text-align: center;
  padding: 10px 0;
  
}

.nav-links {
  /*max-width: 867px;*/
  max-width: 1050px;
  margin: 0 auto;
  list-style: none;
  display: flex;
  justify-content: center;
}

.nav-links a {
  color: #fff;
  text-decoration: none;
  padding: 0 15px;
}
.subnav-links a {
  color: #0033ff;
  text-decoration: none;
  padding: 0 15px;
}

/* Main Content Row */
.main-content {
  background-color: #fff;
  /*max-width: 867px;*/
  max-width: 1050px;
  margin: 20px auto;
  padding: 20px;
  text-align: center;
  border-radius: 10px;
  text-align: left;
}

/* Footer Row */
.footer-row {
  background-color: #28a745;
  width: 100%;
  text-align: center;
  padding: 10px 0;
}

.footer {
    margin-top: 30px;
}
.social-media-links {
    text-align:right;
    padding-bottom: 5px;
}
.card {
  padding: 5px;
}

.recipe-description p {
  margin-bottom: 1em;
  text-align:center;
  font-style:italic;
}

.recipe-directions {
  text-align: left;
}
.recipe-directions ol {
  list-style: none;
  counter-reset: item;
 padding: 0;
 
}
.recipe-directions li {
  counter-increment: item;
  /*margin-bottom: 5px;*/
  /*padding: 0;*/
  
  margin-left: 1em;
  
  
}
.recipe-directions li:before {
  margin-right: 5px;
  margin-top: 10px;
  content: counter(item);
  background: orange;
  border-radius: 100%;
  font-size: 1.2em;
  color: white;
  width: 2.2em;
  height: 2.2em;
  text-align: center;   
  display: inline-block;
  font-weight: bold;
  line-height: 2.2em;   
}

.star-on {
  padding: 1em 0;
}
.star-on ul {
  float:left;
}
.star-on ul li{
	vertical-align: sub;
}

.review{
	float:left;
	  padding: 0 1em;
}
.star-on a{
	text-decoration:none;
	font-size:1em;
	color:#000;
}
.star-on a:hover{
	color:#EF5F21;
}

.recipe-ingredients-list  {
  margin-bottom: 1em;
  text-align: left;
  
}

.recipe-nutrition {
  text-align:center;
  padding: 10px;
}
.nutritionBox {
  text-align:left;
  padding: 10px;
}

.required {
  color:red;
  font-weight:normal;
}

.ingredient-description p {
  
  text-align:left;
  
  
}
.ingredient-actions {
  text-align:center;
  padding:5px;
}

.ingredient-image {
  text-align:center;
  width:100%;
}


.wine-image {
  float:left;
  display:inline-block !important;
}

span.inseason{
color:green;
font-weight:bold;

}
span.notinseason{
color:red;
font-weight:bold;

}

table.cropcalendar {

   border-style:solid;
   border-color:black;
   border-width:0px;
   
}

table.cropcalendar td {

  border-style:solid;
  border-color:grey;
  
  border-width: 1px 1px 1px 1px;
  border-style: solid;
}

td.inseason  {
background-color: #74DF00;
border-color: black;
border-width: 1px 1px 1px 1px;
border-style: solid;

}

td.notinseason {
background-color: #e7eef4;
border-color: black;
border-width: 1px 1px 1px 1px;
border-style: solid;
}

td.categoryheader {

font-weight: bold;
background-color: lightgrey;
}

th.currentmonth {
background-color: lightgrey;
}

/*Pagination styles*/
.pages {
	list-style: none;
	padding: 0; margin: 0;
	overflow: auto;
	
    font-size:10px;	
}
.pages li {
	float: left;
	margin-right: 2px;
}
.pages li a {
	display: block;
	padding: 1px 5px;
	border: solid 1px #006600;
}
.pages li a:hover {
	background: #002200;
	color: white;
	text-decoration: none;
}
.pages .prev-off, .pages .next-off {
	border: solid 1px grey;
	padding: 1px 5px;
}
.pages .active {
	padding: 2px 5px 1px 5px;
	font-weight: bold;
}

table.pagination {

	border-color: lightgrey;
  border-width: 1px 1px 1px 1px;
	border-style: solid;

}


.article-text {
    text-align:left;
}
.submitter {
    padding: 5px 5px 10px 5px;
}

.glossary-term {
    text-align:left;
    font-weight:bold;
}
.glossary-definition p{
    text-align:left;
}

.privacy-policy-text p {
padding: 5px 5px 10px 5px;
    text-align:left; 
}

.related-list {
    text-align:left;
    float:left;
    padding: 5px 5px 5px 5px;
}

.related-list ul {
    text-align:left;
}
.related-list h4 {
    text-align:left;
    padding: 10px 5px 10px 5px;
}
.comments {
    float:left;
    margin: 2em 0;
}
.comment{
	
	/*margin-left:1em; 
  */
  /*margin:3px;*/
  
  padding:5px ;
  margin-bottom: 5px;
	background:#f8f8f8;
  border-radius: 10px;
  /*margin:auto;*/
	
}
.comment h6{
	color:#000;
	font-family: 'Lato', serif;
    text-align:left;
}
.comment p{
	color:#000;
	font-size:1em;
  text-align:left;
}

.required-equip {
    text-align:left;
}
.glossary-image {
    float:left;
  
}

.profile-tab {
    text-align:left;
    padding: 10px 5px 10px 5px;
}
.about-me {
    text-align:left;
    padding: 10px 5px 10px 5px;
    
}
.about-me p {
    margin:10px 0px 0px 0px;
}

.submitted-by {
    text-align:center;
    padding: 5px 5px 5px 5px;
    
}

.recipe-collection {
  text-align:left;
}
.block-item {
  padding: 5px 15px;
}
.maxingredients {
  text-align:left;
  padding:10px;
}
.recipe-actions {
  text-align:center;
}

.article-actions {
  text-align:center;
}
.article-comment {
  background:orange;
  color:white;
}
.recipe-box-add {
  background:green;
  color:white;
}
.recipe-rate {
  background:orange;
  color:white;
}
.meal-plan {
background: blue;
color:white;
}
.meal-plan-remove {
color: red;
}
.recipe-imadeit {
  background:orange;
  color:white;
}
.submit-photo {
  background:blue;
  color:white;
  padding:5px;
}
.strikethrough {
  text-decoration:line-through;
}

.recipebox-category {
  background:white;
}
.similar-recipes {
  text-align:left;
}
.terms {
  text-align:left;
}
.terms p{
 padding:10px; 
}
.submit-photo {
  background:blue;
  color:white;
  padding:5px;
}

/* Recipe rating star system */
.rating {
  overflow: hidden;
  vertical-align: bottom;
  display: inline-block;
  width: auto;
  height: 30px;
}
.rating > input {
  opacity: 0;
  margin-right: -100%;
}
.rating > label {
  position: relative;
  display: block;
  float: right;
  background: url('/images/star-off-big.png');
  background-size: 30px 30px;
}
.rating > label:before {
  display: block;
  opacity: 0;
  content: '';
  width: 30px;
  height: 30px;
  background: url('/images/star-on-big.png');
  background-size: 30px 30px;
  transition: opacity 0.2s linear;
}

.rating > label:hover:before,  
.rating > label:hover ~ label:before,  
.rating:not(:hover) > :checked ~ label:before { opacity: 1; }

/* Default styles for the carousel */
.carousel {
  width: 50%; /* Default width for medium-sized devices */
  margin: auto;
}

/* Media query for small devices */
@media (max-width: 576px) {
  .carousel {
    width: 100%; /* Set width to 100% for small devices */
  }
}

/* Media query for large devices */
@media (min-width: 992px) {
  .carousel {
    width: 25%; /* Set width to 25% for large devices */
  }
}
